/* Compulsive Gambler's Toolkit Installation v1.00 */
call RxFuncAdd 'SysCls','RexxUtil','SysCls'

call SysCls	/* Clear the screen */

say "Compulsive Gambler's Toolkit v1.00 Installation"
say "Copyright (C) 1999 IglooSoft"
say
say "This will install The Compulsive Gambler's Toolkit onto your system."
say
say "Enter the target drive and directory"
say "(Default=C:\Gambler)"
parse pull Target
if Target="" then Target="C:\Gambler"

Current=DIRECTORY()

/* Check to see if directory already exists */
if \(Target=DIRECTORY(Target)) then
do

    call RxFuncAdd 'SysMkDir','RexxUtil','SysMkDir'

    RetCode=SysMkDir(Target)
    if RetCode=1 then
    do
        say "Cannot create directory "Target
        exit
    end
end

call DIRECTORY(Current)

/* Now copy files over */
"copy *.exe" Target
"copy *.dll" Target
"copy *.hlp" Target
"copy *.cmd" Target
"copy *.wav" Target

/* Copying complete.  Ask for installation of desktop object */
say "Would you like to install a program object (Y/N)?"
pull Response
if Response='Y' then
do
    /* Install folder object */
    call RxFuncAdd 'SysCreateObject','RexxUtil','SysCreateObject'

    call SysCreateObject "WPFolder", "Compulsive Gambler's Toolkit", "<WP_DESKTOP>", "OBJECTID=<CGT_FOLDER>"
    call SysCreateObject "WPProgram","Blackjack", "<CGT_FOLDER>", "EXENAME="Target"\BJACK.EXE", "replace"
    call SysCreateObject "WPProgram","Caribbean Poker"D2C(10)"Stud & Draw", "<CGT_FOLDER>", "EXENAME="Target"\CPOKER.EXE", "replace"
    call SysCreateObject "WPProgram","Caribbean Stud", "<CGT_FOLDER>", "EXENAME="Target"\CaribStd.exe", "replace"
    call SysCreateObject "WPProgram","Multi Poker", "<CGT_FOLDER>", "EXENAME="Target"\MPoker.exe", "replace"
    call SysCreateObject 'WPProgram','Odds', '<CGT_FOLDER>', 'EXENAME='||Target||'\ODDS.EXE;NOAUTOCLOSE=YES;PARAMETERS="%*" [Drop game DLL, enter additional parameters]', 'replace'
end
say
say "Kiss that wallet goodbye!"
exit